com.smartxls

## Class RangeStyle

- java.lang.Object
- - com.smartxls.RangeStyle

-     public class RangeStyle
      extends java.lang.Object

  this class present creating and returning information about cell formats.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `BorderDashDot`
    `static short` | `BorderDashDotDot`
    `static short` | `BorderDashed`
    `static short` | `BorderDotted`
    `static short` | `BorderDouble`
    `static short` | `BorderHair`
    `static short` | `BorderMedium`
    `static short` | `BorderMediumDash`
    `static short` | `BorderMediumDashDot`
    `static short` | `BorderMediumDashDotDot`
    `static short` | `BorderNone`
    `static short` | `BorderSlantedDashDot`
    `static short` | `BorderThick`
    `static short` | `BorderThin`
    `static short` | `HorizontalAlignmentCenter`
    `static short` | `HorizontalAlignmentCenterAcrossCells`
    `static short` | `HorizontalAlignmentFill`
    `static short` | `HorizontalAlignmentGeneral`
    `static short` | `HorizontalAlignmentJustify`
    `static short` | `HorizontalAlignmentLeft`
    `static short` | `HorizontalAlignmentRight`
    `static short` | `OrientationClockwise` Text is rotated clockwise.
    `static short` | `OrientationCounterClockwise` Text is rotated counter clockwise.
    `static short` | `OrientationNone` No orientation, use normal text.
    `static short` | `OrientationTopToBottom` Text is stacked top to bottom.
    `static short` | `PatternNull`
    `static short` | `PatternSolid`
    `static short` | `UnderlineDouble` Double Underline
    `static short` | `UnderlineNone` No Underline
    `static short` | `UnderlineSingle` Single Underline
    `static short` | `VerticalAlignmentBottom`
    `static short` | `VerticalAlignmentCenter`
    `static short` | `VerticalAlignmentJustify`
    `static short` | `VerticalAlignmentTop`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy(RangeStyle rs)`
    `short` | `getBottomBorder()` Returns the border style for the bottom edge of the cell.
    `int` | `getBottomBorderColor()` Returns the color used to display the bottom edge of the cell.
    `java.lang.String` | `getCustomFormat()` Returns the number format.
    `boolean` | `getFontBold()` Returns whether the font is bold.
    `int` | `getFontCharSet()` Returns the charset of the font.
    `int` | `getFontColor()` Returns the color used to display the font.
    `boolean` | `getFontItalic()` Returns whether the font is italic.
    `java.lang.String` | `getFontName()` Returns the name of the font.
    `boolean` | `getFontOutline()` Returns whether the font is Outline.
    `boolean` | `getFontShadow()` Returns whether the font is Shadow.
    `int` | `getFontSize()` Returns the size of the font in twips.
    `boolean` | `getFontStrikeout()` Returns whether the font is strikeout.
    `short` | `getFontUnderline()` Returns the underline attribute of the font.
    `int` | `getFormatType()` Returns the number format type.
    `int` | `getGradientShadingStyle()` Returns the gradient fill shading style.
    `short` | `getHorizontalAlignment()` Returns the type of horizontal alignment.
    `short` | `getHorizontalInsideBorder()` Returns the border style for the horizontal inside border.
    `int` | `getHorizontalInsideBorderColor()` Returns the color used to display the horizontal inside border.
    `int` | `getIndent()` Returns the indent attribute
    `short` | `getLeftBorder()` Returns the border style for the left edge of the cell.
    `int` | `getLeftBorderColor()` Returns the color used to display the left edge of the cell.
    `boolean` | `getMergeCells()` Returns the merge cells setting.
    `short` | `getOrientation()` Returns the orientation type.
    `short` | `getPattern()` Returns the pattern type.
    `int` | `getPatternBG()` Returns the color used to display the pattern background.
    `int` | `getPatternFG()` Returns the color used to display the pattern foreground.
    `short` | `getRightBorder()` Returns the border style for the right edge of the cell.
    `int` | `getRightBorderColor()` Returns the color used to display the right edge of the cell.
    `short` | `getTopBorder()` Returns the border style for the top edge of the cell.
    `int` | `getTopBorderColor()` Returns the color used to display the top edge of the cell.
    `short` | `getVerticalAlignment()` Returns the type of vertical alignment.
    `short` | `getVerticalInsideBorder()` Returns the border style for the vertical inside border.
    `int` | `getVerticalInsideBorderColor()` Returns the color used to display the vertical inside border.
    `boolean` | `isFontSubscript()` Returns whether the font is Subscript.
    `boolean` | `isFontSuperscript()` Returns whether the font is Subscript.
    `boolean` | `isHidden()` Returns whether the active cell is hiden
    `boolean` | `isLocked()` Returns whether the active cell is locked
    `boolean` | `isShrinkToFit()` Returns whether ShrinkToFit is enabled.
    `boolean` | `isWordWrap()` Returns whether word wrap is enabled.
    `void` | `resetFormat()` reset the format settings,this will clear all setting had been set before
    `void` | `setBottomBorder(short bottom)` Sets the style for the bottom border.
    `void` | `setBottomBorderColor(int bottom)` Sets the color used to display the bottom edge of the cell.
    `void` | `setCustomFormat(java.lang.String format)` Sets the number format string.
    `void` | `setDiagBorderAndColor(boolean bDiagonalUp, boolean bDiagonalDown, short border, int color)`
    `void` | `setFontBold(boolean bold)` Sets the bold attribute of the font.
    `void` | `setFontCharSet(int charset)` Sets the font charset.
    `void` | `setFontColor(int color)` Sets the color used to display the font.
    `void` | `setFontItalic(boolean italic)` Sets the italic attribute of the font.
    `void` | `setFontName(java.lang.String name)` Sets the font name.
    `void` | `setFontOutline(boolean outline)` Sets the Outline attribute of the font.
    `void` | `setFontShadow(boolean shadow)` Sets the Shadow attribute of the font.
    `void` | `setFontSize(int size)` Sets the font size in twips.
    `void` | `setFontStrikeout(boolean strikeout)` Sets the strikeout attribute of the font.
    `void` | `setFontSubscript(boolean Subscript)` Sets the Subscript attribute of the font.
    `void` | `setFontSuperscript(boolean superscript)` Sets the Subscript attribute of the font.
    `void` | `setFontUnderline(short underline)` Sets the underline attribute of the font.
    `void` | `setGradientTwoColor(int ShadingStyle, int ShadingVariant, int fg, int bg)` Sets the gradient fill with two colors.
    `void` | `setHidden(boolean hidden)` Sets the hiden cell flag
    `void` | `setHorizontalAlignment(short alignment)` Sets the horizontal alignment.
    `void` | `setHorizontalInsideBorder(short horizontalInside)` Sets the horizontal inside border style.
    `void` | `setHorizontalInsideBorderColor(int horizontalInside)` Sets the color of the horizontal inside border.
    `void` | `setIndent(int indent)` Set the indent attribute
    `void` | `setLeftBorder(short left)` Sets the style for the left border.
    `void` | `setLeftBorderColor(int left)` Sets the color used to display the left edge of the cell.
    `void` | `setLocked(boolean locked)` Sets the locked cell flag
    `void` | `setMergeCells(boolean mergeCells)` Sets the mergeCells attribute.
    `void` | `setOrientation(short orientation)` Sets the orientation type.
    `void` | `setPattern(short pattern)` Sets the pattern type.
    `void` | `setPatternBG(int bg)` Sets the color used to display the pattern background.
    `void` | `setPatternFG(int fg)` Sets the color used to display the pattern foreground.
    `void` | `setRightBorder(short right)` Sets the style for the right border.
    `void` | `setRightBorderColor(int right)` Sets the color used to display the right edge of the cell.
    `void` | `setShrinkToFit(boolean shrinktofit)` Sets the ShrinkToFit attribute.
    `void` | `setTopBorder(short top)` Sets the style for the top edge of the cell.
    `void` | `setTopBorderColor(int top)` Sets the color used to display the top edge of the cell.
    `void` | `setVerticalAlignment(short alignment)` Sets the type of vertical alignment.
    `void` | `setVerticalInsideBorder(short verticalInside)` Sets the border style for the vertical inside border.
    `void` | `setVerticalInsideBorderColor(int verticalInside)` Sets the color used to display the vertical inside border.
    `void` | `setWordWrap(boolean wrap)` Sets the wordwrap attribute.
    `void` | `useAllFormat()` Sets all format settings are used.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BorderNone

          public static final short BorderNone

      See Also:
        Constant Field Values

    - #### BorderThin

          public static final short BorderThin

      See Also:
        Constant Field Values

    - #### BorderMedium

          public static final short BorderMedium

      See Also:
        Constant Field Values

    - #### BorderDashed

          public static final short BorderDashed

      See Also:
        Constant Field Values

    - #### BorderDotted

          public static final short BorderDotted

      See Also:
        Constant Field Values

    - #### BorderThick

          public static final short BorderThick

      See Also:
        Constant Field Values

    - #### BorderDouble

          public static final short BorderDouble

      See Also:
        Constant Field Values

    - #### BorderHair

          public static final short BorderHair

      See Also:
        Constant Field Values

    - #### BorderMediumDash

          public static final short BorderMediumDash

      See Also:
        Constant Field Values

    - #### BorderDashDot

          public static final short BorderDashDot

      See Also:
        Constant Field Values

    - #### BorderMediumDashDot

          public static final short BorderMediumDashDot

      See Also:
        Constant Field Values

    - #### BorderDashDotDot

          public static final short BorderDashDotDot

      See Also:
        Constant Field Values

    - #### BorderMediumDashDotDot

          public static final short BorderMediumDashDotDot

      See Also:
        Constant Field Values

    - #### BorderSlantedDashDot

          public static final short BorderSlantedDashDot

      See Also:
        Constant Field Values

    - #### HorizontalAlignmentGeneral

          public static final short HorizontalAlignmentGeneral

      See Also:
        Constant Field Values

    - #### HorizontalAlignmentLeft

          public static final short HorizontalAlignmentLeft

      See Also:
        Constant Field Values

    - #### HorizontalAlignmentCenter

          public static final short HorizontalAlignmentCenter

      See Also:
        Constant Field Values

    - #### HorizontalAlignmentRight

          public static final short HorizontalAlignmentRight

      See Also:
        Constant Field Values

    - #### HorizontalAlignmentFill

          public static final short HorizontalAlignmentFill

      See Also:
        Constant Field Values

    - #### HorizontalAlignmentJustify

          public static final short HorizontalAlignmentJustify

      See Also:
        Constant Field Values

    - #### HorizontalAlignmentCenterAcrossCells

          public static final short HorizontalAlignmentCenterAcrossCells

      See Also:
        Constant Field Values

    - #### VerticalAlignmentTop

          public static final short VerticalAlignmentTop

      See Also:
        Constant Field Values

    - #### VerticalAlignmentCenter

          public static final short VerticalAlignmentCenter

      See Also:
        Constant Field Values

    - #### VerticalAlignmentBottom

          public static final short VerticalAlignmentBottom

      See Also:
        Constant Field Values

    - #### VerticalAlignmentJustify

          public static final short VerticalAlignmentJustify

      See Also:
        Constant Field Values

    - #### PatternNull

          public static final short PatternNull

      See Also:
        Constant Field Values

    - #### PatternSolid

          public static final short PatternSolid

      See Also:
        Constant Field Values

    - #### OrientationNone

          public static final short OrientationNone

      No orientation, use normal text.
      See Also:
        Constant Field Values

    - #### OrientationTopToBottom

          public static final short OrientationTopToBottom

      Text is stacked top to bottom.
      See Also:
        Constant Field Values

    - #### OrientationCounterClockwise

          public static final short OrientationCounterClockwise

      Text is rotated counter clockwise.
      See Also:
        Constant Field Values

    - #### OrientationClockwise

          public static final short OrientationClockwise

      Text is rotated clockwise.
      See Also:
        Constant Field Values

    - #### UnderlineNone

          public static final short UnderlineNone

      No Underline
      See Also:
        Constant Field Values

    - #### UnderlineSingle

          public static final short UnderlineSingle

      Single Underline
      See Also:
        Constant Field Values

    - #### UnderlineDouble

          public static final short UnderlineDouble

      Double Underline
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### copy

          public void copy(RangeStyle rs)

    - #### getFormatType

          public int getFormatType()

      Returns the number format type.
      Returns:
        int value to indicate formatting type 0-General 1-Number 2-Currency 3-Date 4-DateTime 5-Percent 6-Fraction 7-Scientific 8-String

    - #### getCustomFormat

          public java.lang.String getCustomFormat()

      Returns the number format.
      Returns:
        a string designating the format (for example, #,##0.00).

    - #### setCustomFormat

          public void setCustomFormat(java.lang.String format)
                               throws java.lang.Exception

      Sets the number format string. Each format string can have as many as four sections: one for positive numbers, one for negative numbers, one for zeros, and one for text. Each section is optional; the sections are separated by semicolons. For example: #,###;(#,###);0;"Error: Entry must be numeric" The quoted section is optional
      Parameters:
        `format` - the string defining the number format
      Throws:
        `java.lang.Exception` - exception

    - #### getMergeCells

          public boolean getMergeCells()

      Returns the merge cells setting.
      Returns:
        true = cells are merged.

    - #### setMergeCells

          public void setMergeCells(boolean mergeCells)

      Sets the mergeCells attribute.
      Parameters:
        `mergeCells` - Indicates whether cells are to be merged.

    - #### getFontName

          public java.lang.String getFontName()

      Returns the name of the font.
      Returns:
        a string designating the font name.

    - #### setFontName

          public void setFontName(java.lang.String name)

      Sets the font name.
      Parameters:
        `name` - a string that designates the font name.

    - #### getFontCharSet

          public int getFontCharSet()

      Returns the charset of the font.
      Returns:
        the font charset.

    - #### setFontCharSet

          public void setFontCharSet(int charset)

      Sets the font charset.
      Parameters:
        `charset` - the font charset.

    - #### getFontSize

          public int getFontSize()

      Returns the size of the font in twips.
      Returns:
        an integer describing the font size.

    - #### setFontSize

          public void setFontSize(int size)

      Sets the font size in twips.
      Parameters:
        `size` - an integer indicating the font size.

    - #### getFontItalic

          public boolean getFontItalic()

      Returns whether the font is italic.
      Returns:
        true = font is italic.

    - #### setFontItalic

          public void setFontItalic(boolean italic)

      Sets the italic attribute of the font.
      Parameters:
        `italic` - true = set font to italic.

    - #### getFontUnderline

          public short getFontUnderline()

      Returns the underline attribute of the font.
      Returns:
        font underline setting. Underline Constants UnderlineNone UnderlineSingle UnderlineDouble

    - #### setFontUnderline

          public void setFontUnderline(short underline)

      Sets the underline attribute of the font.
      Parameters:
        `underline` - font underline setting. Underline Constants UnderlineNone UnderlineSingle UnderlineDouble

    - #### getFontBold

          public boolean getFontBold()

      Returns whether the font is bold.
      Returns:
        true = font is bold.

    - #### setFontBold

          public void setFontBold(boolean bold)

      Sets the bold attribute of the font.
      Parameters:
        `bold` - true = set font to bold.

    - #### isFontSubscript

          public boolean isFontSubscript()

      Returns whether the font is Subscript.
      Returns:
        true = font is Subscript.

    - #### setFontSubscript

          public void setFontSubscript(boolean Subscript)

      Sets the Subscript attribute of the font.
      Parameters:
        `Subscript` - true = set font to Subscript.

    - #### isFontSuperscript

          public boolean isFontSuperscript()

      Returns whether the font is Subscript.
      Returns:
        true = font is Subscript.

    - #### setFontSuperscript

          public void setFontSuperscript(boolean superscript)

      Sets the Subscript attribute of the font.
      Parameters:
        `superscript` - true = set font to Subscript.

    - #### getFontStrikeout

          public boolean getFontStrikeout()

      Returns whether the font is strikeout.
      Returns:
        true = font is strikeout.

    - #### setFontStrikeout

          public void setFontStrikeout(boolean strikeout)

      Sets the strikeout attribute of the font.
      Parameters:
        `strikeout` - true = set font to strikeout.

    - #### getFontShadow

          public boolean getFontShadow()

      Returns whether the font is Shadow.
      Returns:
        true = font is Shadow.

    - #### setFontShadow

          public void setFontShadow(boolean shadow)

      Sets the Shadow attribute of the font.
      Parameters:
        `shadow` - true = set font to Shadow.

    - #### getFontOutline

          public boolean getFontOutline()

      Returns whether the font is Outline.
      Returns:
        true = font is Outline.

    - #### setFontOutline

          public void setFontOutline(boolean outline)

      Sets the Outline attribute of the font.
      Parameters:
        `outline` - true = set font to Outline.

    - #### getFontColor

          public int getFontColor()

      Returns the color used to display the font.
      Returns:
        an integer representing the color as an RGB value.

    - #### setFontColor

          public void setFontColor(int color)

      Sets the color used to display the font.
      Parameters:
        `color` - integer describing the font color as a four-byte integer in the format 0x00RRGGBB.

    - #### isShrinkToFit

          public boolean isShrinkToFit()

      Returns whether ShrinkToFit is enabled.
      Returns:
        true if ShrinkToFit is enabled.

    - #### setShrinkToFit

          public void setShrinkToFit(boolean shrinktofit)

      Sets the ShrinkToFit attribute.
      Parameters:
        `shrinktofit` - true or false.

    - #### isWordWrap

          public boolean isWordWrap()

      Returns whether word wrap is enabled.
      Returns:
        true if word wrap is enabled.

    - #### setWordWrap

          public void setWordWrap(boolean wrap)

      Sets the wordwrap attribute.
      Parameters:
        `wrap` - true or false.

    - #### getPattern

          public short getPattern()

      Returns the pattern type.
      Returns:
        a number which correspond to the excel patterns.

    - #### setPattern

          public void setPattern(short pattern)

      Sets the pattern type.
      Parameters:
        `pattern` - a number corresponding to the excel patterns.

    - #### getGradientShadingStyle

          public int getGradientShadingStyle()

      Returns the gradient fill shading style. Horizontal - 0 Vertical - 1 Diagonal Up - 2 Diagonal Down - 3 From Corner - 4 From Center - 5
      Returns:
        number which correspond to gradient shading style.

    - #### setGradientTwoColor

          public void setGradientTwoColor(int ShadingStyle,
                                          int ShadingVariant,
                                          int fg,
                                          int bg)

      Sets the gradient fill with two colors.
      Parameters:
        `ShadingStyle` - number corresponding to gradient shading style. Horizontal - 0 Vertical - 1 Diagonal Up - 2 Diagonal Down - 3 From Corner - 4 From Center - 5
        `ShadingVariant` - number corresponding to gradient shading variants(1-4).
        `fg` - first color
        `bg` - second color

    - #### getPatternBG

          public int getPatternBG()

      Returns the color used to display the pattern background.
      Returns:
        an integer representing the color. The color is returned as a four-byte integer in the format 0x00RRGGBB.

    - #### setPatternBG

          public void setPatternBG(int bg)

      Sets the color used to display the pattern background.
      Parameters:
        `bg` - an integer describing the font color as a four-byte integer in the format 0x00RRGGBB.

    - #### getPatternFG

          public int getPatternFG()

      Returns the color used to display the pattern foreground.
      Returns:
        an integer representing the color. The color is returned as a four-byte integer in the format 0x00RRGGBB.

    - #### setPatternFG

          public void setPatternFG(int fg)

      Sets the color used to display the pattern foreground.
      Parameters:
        `fg` - an integer describing the font color as a four-byte integer in the format 0x00RRGGBB.

    - #### getHorizontalAlignment

          public short getHorizontalAlignment()

      Returns the type of horizontal alignment.
      Returns:
        one of the following shorts designating the type of horizontal alignment. Horizontal Alignment Constants HorizontalAlignmentGeneral HorizontalAlignmentLeft HorizontalAlignmentCenter HorizontalAlignmentRight HorizontalAlignmentFill HorizontalAlignmentJustify HorizontalAlignmentCenterAcrossCells

    - #### setHorizontalAlignment

          public void setHorizontalAlignment(short alignment)

      Sets the horizontal alignment.
      Parameters:
        `alignment` - short designating the type of horizontal alignment. Horizontal Alignment Constants HorizontalAlignmentGeneral HorizontalAlignmentLeft HorizontalAlignmentCenter HorizontalAlignmentRight HorizontalAlignmentFill HorizontalAlignmentJustify HorizontalAlignmentCenterAcrossCells

    - #### getVerticalAlignment

          public short getVerticalAlignment()

      Returns the type of vertical alignment.
      Returns:
        one of the following vertical alignment types Vertical Alignment Constants VerticalAlignmentTop VerticalAlignmentCenter VerticalAlignmentBottom VerticalAlignmentJustify

    - #### setVerticalAlignment

          public void setVerticalAlignment(short alignment)

      Sets the type of vertical alignment.
      Parameters:
        `alignment` - one of the following vertical alignment types. Vertical Alignment Constants VerticalAlignmentTop VerticalAlignmentCenter VerticalAlignmentBottom VerticalAlignmentJustify

    - #### getTopBorder

          public short getTopBorder()

      Returns the border style for the top edge of the cell.
      Returns:
        a short integer representing one of the following border styles: BorderNone = 0 BorderThin = 1 BorderMedium = 2 BorderDashed = 3 BorderDotted = 4 BorderThick = 5 BorderDouble = 6 BorderHair = 7 BorderMediumDash = 8 BorderDashDot = 9 BorderMediumDashDot = 10 BorderDashDotDot = 11 BorderMediumDashDotDot = 12 BorderSlantedDashDot = 13

    - #### setTopBorder

          public void setTopBorder(short top)

      Sets the style for the top edge of the cell.
      Parameters:
        `top` - one of the following border styles: BorderNone = 0 BorderThin = 1 BorderMedium = 2 BorderDashed = 3 BorderDotted = 4 BorderThick = 5 BorderDouble = 6 BorderHair = 7 BorderMediumDash = 8 BorderDashDot = 9 BorderMediumDashDot = 10 BorderDashDotDot = 11 BorderMediumDashDotDot = 12 BorderSlantedDashDot = 13

    - #### getTopBorderColor

          public int getTopBorderColor()

      Returns the color used to display the top edge of the cell.
      Returns:
        an int representing the color. The color is returned as a four-byte integer in the format 0x00RRGGBB.

    - #### setTopBorderColor

          public void setTopBorderColor(int top)

      Sets the color used to display the top edge of the cell.
      Parameters:
        `top` - an int that describes the border color as a four-byte integer in the format 0x00RRGGBB.

    - #### getBottomBorder

          public short getBottomBorder()

      Returns the border style for the bottom edge of the cell.
      Returns:
        a short integer representing one of the following border styles: BorderNone = 0 BorderThin = 1 BorderMedium = 2 BorderDashed = 3 BorderDotted = 4 BorderThick = 5 BorderDouble = 6 BorderHair = 7 BorderMediumDash = 8 BorderDashDot = 9 BorderMediumDashDot = 10 BorderDashDotDot = 11 BorderMediumDashDotDot = 12 BorderSlantedDashDot = 13

    - #### setBottomBorder

          public void setBottomBorder(short bottom)

      Sets the style for the bottom border.
      Parameters:
        `bottom` - one of the following border styles: BorderNone = 0 BorderThin = 1 BorderMedium = 2 BorderDashed = 3 BorderDotted = 4 BorderThick = 5 BorderDouble = 6 BorderHair = 7 BorderMediumDash = 8 BorderDashDot = 9 BorderMediumDashDot = 10 BorderDashDotDot = 11 BorderMediumDashDotDot = 12 BorderSlantedDashDot = 13

    - #### getBottomBorderColor

          public int getBottomBorderColor()

      Returns the color used to display the bottom edge of the cell. The color is returned as a four-byte integer in the format 0x00RRGGBB.
      Returns:
        an int representing the color.

    - #### setBottomBorderColor

          public void setBottomBorderColor(int bottom)

      Sets the color used to display the bottom edge of the cell.
      Parameters:
        `bottom` - an int that describes the border color as a four-byte integer in the format 0x00RRGGBB.

    - #### getLeftBorder

          public short getLeftBorder()

      Returns the border style for the left edge of the cell.
      Returns:
        a short integer representing one of the following border styles: BorderNone = 0 BorderThin = 1 BorderMedium = 2 BorderDashed = 3 BorderDotted = 4 BorderThick = 5 BorderDouble = 6 BorderHair = 7 BorderMediumDash = 8 BorderDashDot = 9 BorderMediumDashDot = 10 BorderDashDotDot = 11 BorderMediumDashDotDot = 12 BorderSlantedDashDot = 13

    - #### setLeftBorder

          public void setLeftBorder(short left)

      Sets the style for the left border.
      Parameters:
        `left` - one of the following border styles: BorderNone = 0 BorderThin = 1 BorderMedium = 2 BorderDashed = 3 BorderDotted = 4 BorderThick = 5 BorderDouble = 6 BorderHair = 7 BorderMediumDash = 8 BorderDashDot = 9 BorderMediumDashDot = 10 BorderDashDotDot = 11 BorderMediumDashDotDot = 12 BorderSlantedDashDot = 13

    - #### getLeftBorderColor

          public int getLeftBorderColor()

      Returns the color used to display the left edge of the cell.
      Returns:
        an int representing the color. The color is returned as a four-byte integer in the format 0x00RRGGBB.

    - #### setLeftBorderColor

          public void setLeftBorderColor(int left)

      Sets the color used to display the left edge of the cell.
      Parameters:
        `left` - an int that describes the border color as a four-byte integer in the format 0x00RRGGBB.

    - #### getRightBorder

          public short getRightBorder()

      Returns the border style for the right edge of the cell.
      Returns:
        a short integer representing one of the following border styles: BorderNone = 0 BorderThin = 1 BorderMedium = 2 BorderDashed = 3 BorderDotted = 4 BorderThick = 5 BorderDouble = 6 BorderHair = 7 BorderMediumDash = 8 BorderDashDot = 9 BorderMediumDashDot = 10 BorderDashDotDot = 11 BorderMediumDashDotDot = 12 BorderSlantedDashDot = 13

    - #### setRightBorder

          public void setRightBorder(short right)

      Sets the style for the right border.
      Parameters:
        `right` - one of the following border styles: BorderNone = 0 BorderThin = 1 BorderMedium = 2 BorderDashed = 3 BorderDotted = 4 BorderThick = 5 BorderDouble = 6 BorderHair = 7 BorderMediumDash = 8 BorderDashDot = 9 BorderMediumDashDot = 10 BorderDashDotDot = 11 BorderMediumDashDotDot = 12 BorderSlantedDashDot = 13

    - #### getRightBorderColor

          public int getRightBorderColor()

      Returns the color used to display the right edge of the cell.
      Returns:
        an int representing the color. The color is returned as a four-byte integer in the format 0x00RRGGBB.

    - #### setRightBorderColor

          public void setRightBorderColor(int right)

      Sets the color used to display the right edge of the cell.
      Parameters:
        `right` - an int that describes the border color as a four-byte integer in the format 0x00RRGGBB.

    - #### getHorizontalInsideBorder

          public short getHorizontalInsideBorder()

      Returns the border style for the horizontal inside border.
      Returns:
        a short integer representing one of the following border styles: BorderNone = 0 BorderThin = 1 BorderMedium = 2 BorderDashed = 3 BorderDotted = 4 BorderThick = 5 BorderDouble = 6 BorderHair = 7 BorderMediumDash = 8 BorderDashDot = 9 BorderMediumDashDot = 10 BorderDashDotDot = 11 BorderMediumDashDotDot = 12 BorderSlantedDashDot = 13

    - #### setHorizontalInsideBorder

          public void setHorizontalInsideBorder(short horizontalInside)

      Sets the horizontal inside border style.
      Parameters:
        `horizontalInside` - short integer representing one of the following border styles: BorderNone = 0 BorderThin = 1 BorderMedium = 2 BorderDashed = 3 BorderDotted = 4 BorderThick = 5 BorderDouble = 6 BorderHair = 7 BorderMediumDash = 8 BorderDashDot = 9 BorderMediumDashDot = 10 BorderDashDotDot = 11 BorderMediumDashDotDot = 12 BorderSlantedDashDot = 13

    - #### getHorizontalInsideBorderColor

          public int getHorizontalInsideBorderColor()

      Returns the color used to display the horizontal inside border.
      Returns:
        an int representing the color. The color is returned as a four-byte integer in the format 0x00RRGGBB.

    - #### setHorizontalInsideBorderColor

          public void setHorizontalInsideBorderColor(int horizontalInside)

      Sets the color of the horizontal inside border.
      Parameters:
        `horizontalInside` - an int representing the color as a four-byte integer in the format 0x00RRGGBB.

    - #### getVerticalInsideBorder

          public short getVerticalInsideBorder()

      Returns the border style for the vertical inside border.
      Returns:
        a short integer representing one of the following border styles: BorderNone = 0 BorderThin = 1 BorderMedium = 2 BorderDashed = 3 BorderDotted = 4 BorderThick = 5 BorderDouble = 6 BorderHair = 7 BorderMediumDash = 8 BorderDashDot = 9 BorderMediumDashDot = 10 BorderDashDotDot = 11 BorderMediumDashDotDot = 12 BorderSlantedDashDot = 13

    - #### setVerticalInsideBorder

          public void setVerticalInsideBorder(short verticalInside)

      Sets the border style for the vertical inside border.
      Parameters:
        `verticalInside` - One of the following border styles: BorderNone = 0 BorderThin = 1 BorderMedium = 2 BorderDashed = 3 BorderDotted = 4 BorderThick = 5 BorderDouble = 6 BorderHair = 7 BorderMediumDash = 8 BorderDashDot = 9 BorderMediumDashDot = 10 BorderDashDotDot = 11 BorderMediumDashDotDot = 12 BorderSlantedDashDot = 13

    - #### getVerticalInsideBorderColor

          public int getVerticalInsideBorderColor()

      Returns the color used to display the vertical inside border.
      Returns:
        an int representing the color. The color is returned as a four-byte integer in the format 0x00RRGGBB.

    - #### setVerticalInsideBorderColor

          public void setVerticalInsideBorderColor(int verticalInside)

      Sets the color used to display the vertical inside border.
      Parameters:
        `verticalInside` - an int that describes the border color as a four-byte integer in the format 0x00RRGGBB.

    - #### setDiagBorderAndColor

          public void setDiagBorderAndColor(boolean bDiagonalUp,
                                            boolean bDiagonalDown,
                                            short border,
                                            int color)

    - #### setOrientation

          public void setOrientation(short orientation)
                              throws java.lang.Exception

      Sets the orientation type. This method may also be used with an integer parameter indicating degrees or rotation.
      Parameters:
        `orientation` - the orientation setting. Orientation Constants OrientationNone OrientationTopToBottom OrientationCounterClockwise OrientationClockwise eOrientationAuto
      Throws:
        `java.lang.Exception` - if argument is invalid.

    - #### getOrientation

          public short getOrientation()

      Returns the orientation type.
      Returns:
        the orientation setting. Orientation Constants OrientationNone OrientationTopToBottom OrientationCounterClockwise OrientationClockwise eOrientationAuto

    - #### isLocked

          public boolean isLocked()

      Returns whether the active cell is locked
      Returns:
        true locked

    - #### setLocked

          public void setLocked(boolean locked)

      Sets the locked cell flag
      Parameters:
        `locked` - true to lock the cell

    - #### isHidden

          public boolean isHidden()

      Returns whether the active cell is hiden
      Returns:
        true hidden

    - #### setHidden

          public void setHidden(boolean hidden)

      Sets the hiden cell flag
      Parameters:
        `hidden` - true to hide the cell

    - #### getIndent

          public int getIndent()

      Returns the indent attribute
      Returns:
        the indent

    - #### setIndent

          public void setIndent(int indent)

      Set the indent attribute
      Parameters:
        `indent` - size

    - #### useAllFormat

          public void useAllFormat()

      Sets all format settings are used. Normally the Format object will not use format settings unless the format has been set with an explicit call to a set*() method. To copy a format from one range to another range you must call useAllFormats() in between the calls to getRangeStyle(...) and setRangeStyle(...).

    - #### resetFormat

          public void resetFormat()

      reset the format settings,this will clear all setting had been set before